A BlockRequest is utilized to make a block request on the /block endpoint.

export
interface

  RosettaBlockRequest

### Hierarchy

- RosettaBlockRequest

## Index

### Properties

- block_identifier
- network_identifier

## Properties

### block_identifier

block_identifier: object

- Defined in src/generated/models/RosettaBlockRequest.ts:40

When fetching data by BlockIdentifier, it may be possible to only specify the index or hash. If neither property is specified, it is assumed that the client is making a request at the current block.

memberof

  RosettaBlockRequest

### network_identifier

network_identifier: NetworkIdentifier

- Defined in src/generated/models/RosettaBlockRequest.ts:34

memberof

  RosettaBlockRequest

Generated using TypeDoc